Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class SqlTable

    java.lang.Object
      com.hp.hpl.jena.sdb.core.AnnotationsBase
          com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase
              com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase0
                  com.hp.hpl.jena.sdb.core.sqlnode.SqlTable

All Implemented Interfaces:
  Annotations, SqlNode, org.openjena.atlas.io.Printable

    public class SqlTable

extends SqlNodeBase0

Root of all tables (roughly, a group of columns)

Constructor Summary
`SqlTable(String name)`
`SqlTable(String aliasName, String tableName)`

Method Summary
`SqlNode` | `apply(SqlTransform transform)`
`SqlTable` | `asTable()`
`SqlNode` | `copy()`
`boolean` | `equals(Object other)`
`Scope` | `getIdScope()`
`Scope` | `getNodeScope()`
`String` | `getTableName()`
`int` | `hashCode()`
`boolean` | `isTable()`
`void` | `setIdColumnForVar(com.hp.hpl.jena.sparql.core.Var var, SqlColumn thisCol)`
`void` | `setValueColumnForVar(com.hp.hpl.jena.sparql.core.Var var, SqlColumn thisCol)`
`boolean` | `usesColumn(SqlColumn c)`
`void` | `visit(SqlNodeVisitor visitor)`

Methods inherited from class com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeBase
`asCoalesce, asDistinct, asInnerJoin, asJoin, asLeftJoin, asProject, asRestrict, asSelectBlock, getAliasName, isCoalesce, isDistinct, isInnerJoin, isJoin, isLeftJoin, isProject, isRestrict, isSelectBlock, output, output, tablesInvolved, toString`

Methods inherited from class com.hp.hpl.jena.sdb.core.AnnotationsBase
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sdb.core.Annotations
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Constructor Detail

### SqlTable

    public SqlTable(String name)

### SqlTable

    public SqlTable(String aliasName,
                    String tableName)

Method Detail

### isTable

    public boolean isTable()

  Specified by:
    `isTable` in interface `SqlNode`
  Overrides:
    `isTable` in class `SqlNodeBase`

### asTable

    public SqlTable asTable()

  Specified by:
    `asTable` in interface `SqlNode`
  Overrides:
    `asTable` in class `SqlNodeBase`

### usesColumn

    public boolean usesColumn(SqlColumn c)

  Overrides:
    `usesColumn` in class `SqlNodeBase`

### getTableName

    public String getTableName()

### visit

    public void visit(SqlNodeVisitor visitor)

### getIdScope

    public Scope getIdScope()

### getNodeScope

    public Scope getNodeScope()

### setIdColumnForVar

    public void setIdColumnForVar(com.hp.hpl.jena.sparql.core.Var var,
                                  SqlColumn thisCol)

### setValueColumnForVar

    public void setValueColumnForVar(com.hp.hpl.jena.sparql.core.Var var,
                                     SqlColumn thisCol)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### apply

    public SqlNode apply(SqlTransform transform)

  Specified by:
    `apply` in class `SqlNodeBase0`

### copy

    public SqlNode copy()

  Specified by:
    `copy` in class `SqlNodeBase0`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.